Subject: Re: B19.1: virtual memory exhausted during make under Win95 resp. Win
From: [email-masked] (David Whitten)

26 Aug 1998 13:21:06 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

> 
> 
> Hi,
> 
> during compilation of MICO an error occured as described shortly in
> thesubject. To explain you in detail what's happened, I present
> the complete error szenario. I installed the GNU-Win32  Beta 19 under
> Windows95 and Windows NT4 in the default directory. After that
> I also installed the update to B19.1. The application I wanted to compile
> was MICO in version 2.1.1
> 
> (available at:  http://www.vsb.cs.uni-frankfurt.de/~mico/ ).
> 
> I started the make process with the configure script and after that I
> started make. There was no error until the file "orb.cc" was compiled.
> The following message appeared on screen:
> 
> c++  -I. -I../include -I/Cygnus/b19/mico/./include/ministl -O
> -fno-exceptions
>   -c orb.cc -o orb.o
> (c:\Cygnus\B19\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\2.7-B19\cc1plus.exe
>  106
> 5) commit_and_inc: VirtualAlloc failed
> orb.cc: In function `static class CORBA::ORB * CORBA::ORB_init(int &, char
> **, c
> onst char *)':
> orb.cc:1686: virtual memory exhausted
> make[1]: *** [orb.o] Error 1
> make: *** [system] Error 1
> bash-2.01$
> 
> This error seems to be an error from GNU-Win32, isn't it? If yes, what has
> to be done to compile MICO completely? Is there a patch to
> cc1plus.exe?
> 
> When answering, please send a copy of this answer to
> [email-masked]'.
> 
> Thank you,
> 
> Martin Hubert

Since MICO is known to require a HUGE (some say 80+Mb) swap space to
compile, could you tell us how much swap you have configured ?

Thanks,
Dave

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".